Bug 255841 - dns/dnsdist: drop support for i386 (upstream no longer supports systems with 32-bits time_t)
Summary: dns/dnsdist: drop support for i386 (upstream no longer supports systems with ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-05-13 14:21 UTC by Ralf van der Enden
Modified: 2021-05-22 07:51 UTC (History)
1 user (show)

See Also:


Attachments
add NOT_FOR_ARCHS=i386 (+reason) (569 bytes, patch)
2021-05-13 14:21 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
add NOT_FOR_ARCHS=i386 (+reason) + fix configure args + deps (1.28 KB, patch)
2021-05-17 09:33 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2021-05-13 14:21:35 UTC
Created attachment 224901 [details]
add NOT_FOR_ARCHS=i386 (+reason)

From the announcement email:
[..]

"We would also like to take this opportunity to announce that we will stop supporting systems using 32-bit time. This includes 32-bit Linux platforms like arm and i386 before kernel version 5.1."

[..]
Comment 1 Ralf van der Enden 2021-05-17 09:33:24 UTC
Created attachment 225018 [details]
add NOT_FOR_ARCHS=i386 (+reason) + fix configure args + deps
Comment 2 commit-hook freebsd_committer 2021-05-22 07:48:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c5be0226f0e2e5fb9a48ba40086a898d84d28ca9

commit c5be0226f0e2e5fb9a48ba40086a898d84d28ca9
Author:     Jason Helfman <jgh@FreeBSD.org>
AuthorDate: 2021-05-22 07:41:14 +0000
Commit:     Jason Helfman <jgh@FreeBSD.org>
CommitDate: 2021-05-22 07:47:20 +0000

    dns/dnsdist: drop i386 support, adjust configure arguments and deps

    PR:             255841
    Reported by:    maintainer (tremere@cainites.net)

 dns/dnsdist/Makefile | 11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)
Comment 3 Jason Helfman freebsd_committer 2021-05-22 07:51:18 UTC
Committed! Thank for the report.